#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/adjustment.h>
#include <inti/gtk/scale.h>
#include <inti/gtk/checkbutton.h>

using namespace Inti;

class RangeWidgets : public Gtk::Window
{
	Gtk::Adjustment *adj1;
	Gtk::HScale *hscale;
	Gtk::VScale *vscale;
	Gtk::CheckButton *check_button;

protected:
	void on_draw_value();
	void on_pos_menu_select(Gtk::PositionType pos);
	void on_update_menu_select(Gtk::UpdateType policy);
	void on_digits_scale(Gtk::Adjustment *adj);
	void on_page_size(Gtk::Adjustment *adj);

public:
	RangeWidgets();
	~RangeWidgets();
};


